scala.concurrent

# Await

#### object Await

`Await` is what is used to ensure proper handling of blocking for `Awaitable` instances.

Source
  package.scala

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Await
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### def ready[T](awaitable: Awaitable[T], atMost: Duration): awaitable.type

    Await the "completed" state of an `Awaitable`.

    Await the "completed" state of an `Awaitable`.

    Although this method is blocking, the internal use of blocking ensures that the underlying ExecutionContext is prepared to properly manage the blocking.

    awaitable

      the `Awaitable` to be awaited

    atMost

      maximum wait time, which may be negative (no waiting is done), Duration.Inf for unbounded waiting, or a finite positive duration

    returns

      the `awaitable`

    Annotations
      @throws( clazz = classOf[TimeoutException] ) @throws( clazz = classOf[InterruptedException] )
    Exceptions thrown
      IllegalArgumentException

      if `atMost` is Duration.Undefined

      InterruptedException

      if the current thread is interrupted while waiting

      TimeoutException

      if after waiting for the specified time this `Awaitable` is still not ready

16. #### def result[T](awaitable: Awaitable[T], atMost: Duration): T

    Await and return the result (of type `T`) of an `Awaitable`.

    Await and return the result (of type `T`) of an `Awaitable`.

    Although this method is blocking, the internal use of blocking ensures that the underlying ExecutionContext to properly detect blocking and ensure that there are no deadlocks.

    awaitable

      the `Awaitable` to be awaited

    atMost

      maximum wait time, which may be negative (no waiting is done), Duration.Inf for unbounded waiting, or a finite positive duration

    returns

      the result value if `awaitable` is completed within the specific maximum wait time

    Annotations
      @throws( clazz = classOf[Exception] )
    Exceptions thrown
      IllegalArgumentException

      if `atMost` is Duration.Undefined

      InterruptedException

      if the current thread is interrupted while waiting

      TimeoutException

      if after waiting for the specified time `awaitable` is still not ready

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toString(): String

    Definition Classes
      AnyRef → Any

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped